﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.IO;
using System.ComponentModel;

namespace Infragistics_xamDataGrid_Problem
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    /// 

    public partial class Window1 : Window
    {
        BindingList<Policy> Policies = new BindingList<Policy>();
        FileStream custFS;

        public Window1()
        {
            InitializeComponent();
            
        }

        private void idgv_Loaded(object sender, RoutedEventArgs e)
        {

            // create some data to show
            Policies.Add(new Policy("Insured Name 1 - Line 1", DateTime.Parse("01/01/2009"), 1000000));
            Policies.Add(new Policy("Insured Name 2 - Line 1", DateTime.Parse("01/03/2008"), 1035));
            Policies.Add(new Policy("Insured Name 3 - Line 1", DateTime.Parse("01/02/2007"), 1037));
            Policies.Add(new Policy("Insured Name 4 - Line 1", DateTime.Parse("01/02/2010"), 1047));
            Policies.Add(new Policy("Insured Name 5 - Line 1", DateTime.Parse("05/02/2010"), 1057));
            Policies.Add(new Policy("Insured Name 6 - Line 1", DateTime.Parse("05/02/2010"), 1067));
            Policies.Add(new Policy("Insured Name 7 - Line 1", DateTime.Parse("05/02/2010"), 1077));
            Policies.Add(new Policy("Insured Name 8 - Line 1", DateTime.Parse("06/02/2010"), 1087));
            this.idgv.DataSource = this.Policies;

        }

        private void Button1_Click(object sender, RoutedEventArgs e)
        {

            using (custFS = new FileStream("customizations.xml", FileMode.OpenOrCreate))
            {

                this.idgv.SaveCustomizations(custFS);
            }

        }

        private void Button2_Click(object sender, RoutedEventArgs e)
        {
            using (custFS = new FileStream("customizations.xml", FileMode.Open))
            {

                this.idgv.LoadCustomizations(custFS);

            }

        }

        private void idgv_FieldLayoutInitialized(object sender, Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs e)
        {

        }

    }


    public class Policy
    {
        private string insuredname;
        private DateTime inceptiondate;
        private double writtenpremium;

        public Policy(string InsuredName, DateTime InceptionDate, double WrittenPremium)
        {
            this.insuredname = InsuredName;
            this.inceptiondate = InceptionDate;
            this.writtenpremium = WrittenPremium;
        }

        public string InsuredName
        {
            get { return this.insuredname; }
            set { this.insuredname = value; }
        }
        public DateTime InceptionDate
        {
            get { return this.inceptiondate; }
            set { this.inceptiondate = value; }
        }
        public double WrittenPremium
        {
            get { return this.writtenpremium; }
            set { this.writtenpremium = value; }
        }


    }
}
